Skip to content

ibl-data-manager (4.84.1-ai-plus)

API for iblai

Download OpenAPI description
Languages
Servers
Mock server
https://docs.ibl.ai/_mock/apis/ibl/
https://base.manager.iblai.app/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

core_lti_1p3_provider_lti_mentors_retrieve

Request

Get details about a specific LTI Mentor

Security
PlatformApiKeyAuthentication
Path
idstringrequired
Query
platform_keystringnon-emptyrequired

Platform Key

curl -i -X GET \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/lti/1p3/provider/lti-mentors/{id}/?platform_key=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Bodyapplication/json
idintegerread-onlyrequired
namestringrequired

The name of the mentor

orgstringread-onlyrequired

The org of the mentor

course_keystringread-onlyrequired

The course key

mentor_configobject(LtiMentorCourseXBlock)required
mentor_config.​mentorstringrequired

The unique_id of the mentor

mentor_config.​locationstringread-onlyrequired

The xblock location of the mentor

Response
application/json
{ "id": 0, "name": "string", "org": "string", "course_key": "string", "mentor_config": { "mentor": "string", "location": "string" } }

core_lti_1p3_provider_lti_mentors_update

Request

Update an LTI Mentor

Security
PlatformApiKeyAuthentication
Path
idstringrequired
Bodyrequired
namestringrequired

The name of the mentor

mentor_configobject(LtiMentorCourseXBlock)required
mentor_config.​mentorstringrequired

The unique_id of the mentor

platform_keystringwrite-onlyrequired

Platform key the requesting user belongs to

curl -i -X PUT \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/lti/1p3/provider/lti-mentors/{id}/' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "mentor_config": {
      "mentor": "string"
    },
    "platform_key": "string"
  }'

Responses

Bodyapplication/json
idintegerread-onlyrequired
namestringrequired

The name of the mentor

orgstringread-onlyrequired

The org of the mentor

course_keystringread-onlyrequired

The course key

mentor_configobject(LtiMentorCourseXBlock)required
mentor_config.​mentorstringrequired

The unique_id of the mentor

mentor_config.​locationstringread-onlyrequired

The xblock location of the mentor

Response
application/json
{ "id": 0, "name": "string", "org": "string", "course_key": "string", "mentor_config": { "mentor": "string", "location": "string" } }

core_lti_1p3_provider_lti_mentors_destroy

Request

Delete an LTI Mentor

Security
PlatformApiKeyAuthentication
Path
idstringrequired
Query
platform_keystringnon-emptyrequired

Platform Key

curl -i -X DELETE \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/lti/1p3/provider/lti-mentors/{id}/?platform_key=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

No response body

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations